package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisInfeksiNosokomial
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisInfeksiNosokomial_M")
public class JenisInfeksiNosokomialVO extends BaseMasterVO {
	@Caption(value="Jenis Infeksi Nosokomial")
	private String jenisInfeksiNosokomial;

	public void setJenisInfeksiNosokomial(String jenisInfeksiNosokomial) {
		this.jenisInfeksiNosokomial = jenisInfeksiNosokomial;
	}

	@Column(name = "JenisInfeksiNosokomial", nullable = false , length = 30)
	public String getJenisInfeksiNosokomial(){
		return this.jenisInfeksiNosokomial;
	}

	@Caption(value="Kode Jenis Infeksi Nosokomial")
	private String kdJenisInfeksiNosokomial;

	public void setKdJenisInfeksiNosokomial(String kdJenisInfeksiNosokomial) {
		this.kdJenisInfeksiNosokomial = kdJenisInfeksiNosokomial;
	}

	@Column(name = "KdJenisInfeksiNosokomial", nullable = false , length = 1)
	public String getKdJenisInfeksiNosokomial(){
		return this.kdJenisInfeksiNosokomial;
	}

	@Caption(value="QJenis Infeksi Nosokomial")
	private Byte qJenisInfeksiNosokomial;

	public void setqJenisInfeksiNosokomial(Byte qJenisInfeksiNosokomial) {
		this.qJenisInfeksiNosokomial = qJenisInfeksiNosokomial;
	}

	@Column(name = "QJenisInfeksiNosokomial", nullable = false )
	public Byte getqJenisInfeksiNosokomial(){
		return this.qJenisInfeksiNosokomial;
	}

	/*//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdjenisinfeksinosokomial")
	private Set<InfeksiNosokomial> InfeksiNosokomialSet = new HashSet<InfeksiNosokomial>();

	public Set<InfeksiNosokomial> getInfeksiNosokomialSet() {
		return InfeksiNosokomialSet;
	}

	public void setInfeksiNosokomialSet(Set<InfeksiNosokomial> infeksiNosokomialSet) {
		InfeksiNosokomialSet = infeksiNosokomialSet;
	}*/

}

